#!/usr/bin/tclsh

# This example MATLAB module shows how to connect Slicer3 to MATLAB
# scripts using Slicer3's command-line interface. Two lines below must
# be modified (search for 'EDIT:'). This script currently works only
# in Linux.
#
# Contributed by John Melonakos, jmelonak@ece.gatech.edu, and Steve Pieper (2008).
#

if {$argv == "--xml"} {

  puts "<?xml version=\"1.0\" encoding=\"utf-8\"?>"
  puts "<executable>"
    puts "<category> MATLAB Modules</category>"
    puts "<title> Example MATLAB Module </title>"
    puts "<description> An example MATLAB CLI plugin. </description>"
    puts "<version> 1.0</version>"
    puts "<documentation-url></documentation-url>"
    puts "<license></license>"
    puts "<contributor> Steve Pieper, Ph.D. and John Melonakos </contributor>"
    puts "<acknowledgements> This work is part of the National Alliance for Medical Image Computing (NAMIC), funded by the National Institutes of Health through the NIH Roadmap for Medical Research, Grant U54 EB005149. </acknowledgements>"
   puts "<parameters>"
      puts "<label>Input/Output</label>"
      puts "<description>Input/output parameters</description>"
      puts "<image>"
        puts "<name>InputVolume0</name>"
        puts "<label>Input Volume 0</label>"
        puts "<channel>input</channel>"
        puts "<index>0</index>"
        puts "<default>None</default>"
        puts "<description>Input volume 0</description>"
      puts "</image>"
      puts "<image>"
        puts "<name>InputVolume1</name>"
        puts "<label>Input Volume 1</label>"
        puts "<channel>input</channel>"
        puts "<index>1</index>"
        puts "<default>None</default>"
        puts "<description>Input volume 1</description>"
      puts "</image>"
      puts "<image>"
        puts "<name>OutputVolume0</name>"
        puts "<label>Output Volume 0</label>"
        puts "<channel>output</channel>"
        puts "<index>2</index>"
        puts "<default>None</default>"
        puts "<description>Output filtered 0</description>"
      puts "</image>"
      puts "<image>"
        puts "<name>OutputVolume1</name>"
        puts "<label>Output Volume 1</label>"
        puts "<channel>output</channel>"
        puts "<index>3</index>"
        puts "<default>None</default>"
        puts "<description>Output filtered 1</description>"
      puts "</image>"
  puts "</parameters>"
  puts "</executable>"
  exit 0
}
foreach {a b c d} $argv {}

# EDIT: MAKE SURE TO EDIT THIS PATH TO POINT TO THE MATLAB EXECUTABLE, where 'matlab' is located!
set fp [open "|/usr/local/bin/matlab -nodesktop -nosplash" "w"]
# EDIT: MAKE SURE TO EDIT THIS PATH TO POINT TO THE MODULE's MATLAB DIRECTORY, where 'MATLABSlicerExampleModule.m' is located!
puts $fp "addpath('./MATLAB/');"

puts $fp "MATLABSlicerExampleModule('$a','$b','$c','$d');"
close $fp

# Other options that may work:
# exec /bin/sh /usr/local/bin/matlab -nodesktop -nosplash -r \"addpath('./MATLAB/')\;MATLABSlicerModule('$a','$b','$c','$d')\;\"
# exec matlab -nodesktop -nosplash -r fprintf\('%s,%s,%s,%s\n',$a,$b,$c,$d\)\;exit\;
